#$Id: Makefile,v 1.0 1/12/1998 15:23:22 iReady-MWJ Exp $

TARGET=g726.exe
#OTHERS=bin2asc.exe lpf.exe adpcm21u.exe adpcm21c.exe adpcm41c.exe adpcm41u.exe asc2wav.exe

#GCC_WARNINGS = -O2 -pedantic -Wreturn-type -Wunused -Wformat \
# -Wpointer-arith -Wconversion -Waggregate-return \
# -Wimplicit -Wshadow #-Wuninitialized

CC      = cl
CFLAGS  = /c /AL /Od /Zi
LDFLAGS =

LINK    = link
LINKFLAGS= /CODEVIEW

LIBS    =

O=obj

OBJS=dsamp.$(O) downsamp.$(O)
DEPEND=wave.h

all: $(TARGET) $(OTHERS)

downsamp.obj: downsamp.c wave.h
        $(CC) $(CFLAGS) downsamp.c

dsamp.obj: dsamp.c wave.h
        $(CC) $(CFLAGS) dsamp.c

dsamp.exe : dsamp.obj downsamp.obj
        $(LINK) $(LINKFLAGS) dsamp downsamp,,,,,


bin2asc.exe: bin2asc.c
        $(CC) bin2asc.c

lpf.exe : lpf.c
        $(CC) lpf.c

asc2wav.exe : asc2wav.c
        $(CC) asc2wav.c

adpcm21u.exe : adpcm21u.c
        $(CC) adpcm21u.c

adpcm21c.exe : adpcm21c.c
        $(CC) adpcm21c.c

adpcm41u.exe : adpcm41u.c
        $(CC) adpcm41u.c

adpcm41c.exe : adpcm41c.c
        $(CC) adpcm41c.c

clean:
        del *.obj
